version: "3.9"

services:
  CodeProjectAI:
    image: codeproject/ai-server:latest
    container_name: codeproject-ai-server-cpu
    hostname: codeproject-ai-server
    restart: unless-stopped
    ports:
      - "12050:32168/tcp"
      - "12050:32168/udp"
      #- "5000:5000/tcp"
      #- "5000:5000/udp"
    volumes:
      - /opt/codeprojectai/mounts/app/preinstalled-modules:/app/preinstalled-modules
      - /opt/codeprojectai/mounts/app/modules:/app/modules
      - /opt/codeprojectai/mounts/app/models:/app/models
      #- /opt/codeprojectai/mounts/app/server:/app/server
      - /etc/codeprojectai:/etc/codeproject/ai
      - /etc/localtime:/etc/localtime:ro
    environment:
      - TZ=Europe/Berlin
    tty: true
    stdin_open: true
